# -*- coding: utf-8 -*-

# Copyright 2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Tests for the account tab."""

from ubuntuone.controlpanel.gui import (
    SEARCH_FILES,
    SHARED_FILES,
)
from ubuntuone.controlpanel.gui.qt import share_links as gui
from ubuntuone.controlpanel.gui.qt.tests import BaseTestCase


class ShareLinksTestCase(BaseTestCase):
    """Test the qt control panel."""

    innerclass_ui = gui.share_links_ui
    innerclass_name = "Ui_Form"
    class_ui = gui.ShareLinksPanel

    def test_setup(self):
        """Check that the strings are properly setted."""
        self.assertEqual(self.ui.ui.search_files_lbl.text(), SEARCH_FILES)
        self.assertEqual(self.ui.ui.shared_group.title(), SHARED_FILES)
